
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was opentrep-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/opentrep" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the OpenTREP package. It defines the following variables:
#  OPENTREP_VERSION         - version of OpenTREP
#  OPENTREP_BINARY_DIRS     - binary directories for OpenTrep
#  OPENTREP_INCLUDE_DIRS    - include directories for OpenTrep
#  OPENTREP_LIBRARY_DIRS    - library directories for OpenTrep
#  OPENTREP_LIBEXEC_DIR     - internal exec directory for OpenTrep
#  OPENTREP_LIBRARIES       - libraries to link against
#  OPENTREP_EXECUTABLES     - binaries/executables
#  OPENTREP_SAMPLE_DIR      - directory for sample data files
#

# Tell the user project where to find OpenTREP headers and libraries
set (OPENTREP_VERSION "0.07.18")
set (OPENTREP_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (OPENTREP_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (OPENTREP_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib")
set (OPENTREP_LIBEXEC_DIR "${PACKAGE_PREFIX_DIR}/libexec")
set (OPENTREP_SAMPLE_DIR "")

# Library dependencies for OpenTrep (contains definitions for the OpenTREP
# IMPORTED targets)
include ("lib/cmake/opentrep/opentrep-library-depends.cmake")

# These are the OpenTREP IMPORTED targets, created by
# opentrep-library-depends.cmake
set (OPENTREP_LIBRARIES opentreplib)
set (OPENTREP_EXECUTABLES opentrep)

